/*
 * Copyright 2016 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "globus_gridftp_server_s3_base.h"

void
globus_i_s3_buffer_release(
    globus_i_s3_transfer_t             *transfer_state,
    globus_i_s3_buffer_t               *s3_buffer)
{
    assert(transfer_state != NULL);
    assert(s3_buffer != NULL);

    s3_buffer->transfer_offset = UINT64_C(-1);
    s3_buffer->buffer_used = 0;

    s3_buffer->next = transfer_state->free_buffers;
    transfer_state->free_buffers = s3_buffer;
}
/* globus_i_s3_buffer_release() */
